[Koha-patches] [PATCH] Bug 6486 - add the koha-mysql command

Robin Sheat robin at catalyst.net.nz
Thu Jun 9 07:13:25 CEST 2011


This lets you get into the mysql session for this library instance
really easily. Probably most useful for developers.
---
 debian/scripts/koha-mysql |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)
 create mode 100755 debian/scripts/koha-mysql

diff --git a/debian/scripts/koha-mysql b/debian/scripts/koha-mysql
new file mode 100755
index 0000000..fb3fba9
--- /dev/null
+++ b/debian/scripts/koha-mysql
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# koha-mysql: provide an interactive mysql shell set up for the specified
+#   koha instance.
+# Copyright 2011  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+umask 0077
+
+die() {
+    echo "$@" 1>&2
+    exit 1
+}
+
+[ "$#" = 1 ] || die "Usage: $0 instancename"
+name="$1"
+kohaconfig="/etc/koha/sites/$name/koha-conf.xml"
+
+mysqlhost="$( xmlstarlet sel -t -v 'yazgfs/config/hostname' $kohaconfig )"
+mysqldb="$( xmlstarlet sel -t -v 'yazgfs/config/database' $kohaconfig )"
+mysqluser="$( xmlstarlet sel -t -v 'yazgfs/config/user' $kohaconfig )"
+mysqlpass="$( xmlstarlet sel -t -v 'yazgfs/config/pass' $kohaconfig )"
+
+mysql --host="$mysqlhost" --user="$mysqluser" --password="$mysqlpass" \
+    "$mysqldb"
+
-- 
1.7.4.1



More information about the Koha-patches mailing list